from abc import ABCMeta
from bd.modeloBDMapper import ModeloBDMapper
from mimodel.modelo import Modelo

class Mapper(object):
	__metaclass__ = ABCMeta

	@abc.abstractmethod
	def get(OID):
		"Devuelve el objeto con identificador OID."
		
	@abc.abstractmethod	
	def put(OID, obj):
		"Mapea el objeto a BD con el identificador OID."
		
Mapper.register(ModeloBDMapper)
