import subprocess
import ctrl.utiles as utilesCtrl
from ctrl.gestorWorkingDir import GestorWorkingDir

class GestorExecScript:

	def execBurnImg(self, mod):
		
		# Crear el fichero de configuracion para el script.
		gw = GestorWorkingDir()
		gw.generaConfig(mod)
		
		"""		Comando		"""
		cmd = 'sudo sh ' + utilesCtrl.IMG_SCRIPT
		
		"""		Argumentos		"""		
		confFile = gw.modelosDir + '/' + '%s/%s.conf' % (mod.nombre, mod.nombre)
		background = '&'
		#redirSalida = '>/dev/null 2>&1'
		
		cmd += ' ' + confFile + ' ' + background #+ ' ' + redirSalida
		print cmd
		
		# Ejecuta mediante la shell actual el comando argumento.
		subprocess.call(cmd, shell=True)

		
	def execGenEnt(self, nombreModelo, nombreEntorno, nombresPerfiles, tam):
		
		gw = GestorWorkingDir()

		"""		Preparar la cadena que correponde al comando		"""
				
		# Formar las rutas absolutas a la imagen, los snapshots, y el fichero de salida del entorno.
		imgFile = gw.modelosDir + '/' + nombreModelo + '/binary.img'
		entFile = gw.entornosDir + '/' + nombreEntorno
		
		# Los ficheros de los snaps separados por blancos y entrecomillados.
		sf = []
		for nombrePerfil in nombresPerfiles:
			sf.append(gw.snapsDir + '/' + 'live-sn-%s.cpio.gz' % (nombrePerfil))
		
		# La lista de nombres de snaps se transforma en una cadena con blancos por separador.
		# vease: "workdir/snaps/snap1.cpio.gz workdir/snaps/snap2.cpio.gz"
		snapsFiles = '\"' + ' '.join(sf) + '\"'
			
		cmd = 'sudo sh ' + utilesCtrl.ENT_SCRIPT

		img_arg = ' --imagen ' + imgFile
		ent_arg = ' --entorno ' + entFile
		snaps_arg = ' --snap ' + snapsFiles
		tam_arg = ' --tam ' + str(tam)

		cmd += img_arg + ent_arg + snaps_arg + tam_arg
		#print cmd
		
		"""		Ejecutar el comando		"""
				
		subprocess.call(cmd, shell=True)

		
