CREATE TABLE IF NOT EXISTS perfil(
	nombre TEXT PRIMARY KEY,
	ubicacionSnap TEXT,
	estado TEXT,
	nombre_mod TEXT REFERENCES modelo(nombre)
);

CREATE TABLE IF NOT EXISTS modelo(
	nombre TEXT PRIMARY KEY,
	arquitectura TEXT,
	instalacion TEXT,
	entornoGrafico TEXT,
	ubicacionImg TEXT,
	username TEXT,
	hostname TEXT,
	estado TEXT
);

CREATE TABLE IF NOT EXISTS paquete(
	idPaquete INTEGER PRIMARY KEY,
	nombre TEXT,
	descripcion TEXT,
	nombre_per TEXT REFERENCES perfil(nombre)
);

CREATE TABLE IF NOT EXISTS entorno(
	nombre TEXT PRIMARY KEY,
	ubicacionImg TEXT,
	estado TEXT
);

CREATE TABLE IF NOT EXISTS ent_per(
	nombre_ent TEXT REFERENCES entorno(nombre),
	nombre_per TEXT REFERENCES perfil(nombre), 
	PRIMARY KEY(nombre_ent, nombre_per)
);

CREATE TABLE IF NOT EXISTS configuracion(
	version TEXT PRIMARY KEY,
	workdir TEXT
);
