PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
CREATE TABLE perfil(
	nombre TEXT PRIMARY KEY,
	ubicacionSnap TEXT,
	estado TEXT,
	nombre_mod TEXT REFERENCES modelo(nombre)
);
INSERT INTO "perfil" VALUES('SistemasDistribuidos12',NULL,'Activo','Informatica2012');
INSERT INTO "perfil" VALUES('SistemasOperativos12',NULL,'Activo','Informatica2012');
INSERT INTO "perfil" VALUES('Radiodeterminacion12',NULL,'Activo','Telecomunicaciones2012');
INSERT INTO "perfil" VALUES('TratamientoDeSenales12',NULL,'Activo','Telecomunicaciones2012');
CREATE TABLE modelo(
	nombre TEXT PRIMARY KEY,
	arquitectura TEXT,
	instalacion TEXT,
	entornoGrafico TEXT,
	ubicacionImg TEXT,
	username TEXT,
	hostname TEXT,
	estado TEXT
);
INSERT INTO "modelo" VALUES('Informatica2012','i386','standard','kde','','alumno','inf2','Activo');
INSERT INTO "modelo" VALUES('Telecomunicaciones2012','amd64','minimal','gnome','','alumno','tel12','Activo');
CREATE TABLE paquete(
	idPaquete INTEGER PRIMARY KEY,
	nombre TEXT,
	descripcion TEXT,
	nombre_per TEXT REFERENCES perfil(nombre)
);
INSERT INTO "paquete" VALUES(1,'Eclipse-emf',NULL,'SistemasDistribuidos12');
INSERT INTO "paquete" VALUES(2,'java-common',NULL,'SistemasDistribuidos12');
INSERT INTO "paquete" VALUES(3,'openjdk-6-jre',NULL,'SistemasDistribuidos12');
INSERT INTO "paquete" VALUES(4,'gcc 4.4',NULL,'SistemasOperativos12');
INSERT INTO "paquete" VALUES(5,'gpart',NULL,'SistemasOperativos12');
INSERT INTO "paquete" VALUES(6,'Octave3.2',NULL,'Radiodeterminacion12');
INSERT INTO "paquete" VALUES(7,'Octave3.2',NULL,'TratamientoDeSenales12');
INSERT INTO "paquete" VALUES(8,'siggen',NULL,'TratamientoDeSenales12');
CREATE TABLE entorno(
	nombre TEXT PRIMARY KEY,
	ubicacionImg TEXT,
	estado TEXT
);
INSERT INTO "entorno" VALUES('Informatica12C1',NULL,'Activo');
INSERT INTO "entorno" VALUES('Telecomunicaciones12C1',NULL,'Activo');
CREATE TABLE ent_per(
	nombre_ent TEXT REFERENCES entorno(nombre),
	nombre_per TEXT REFERENCES perfil(nombre), 
	PRIMARY KEY(nombre_ent, nombre_per)
);
INSERT INTO "ent_per" VALUES('Informatica12C1','SistemasDistribuidos12');
INSERT INTO "ent_per" VALUES('Informatica12C1','SistemasOperativos12');
INSERT INTO "ent_per" VALUES('Telecomunicaciones12C1','Radiodeterminacion12');
INSERT INTO "ent_per" VALUES('Telecomunicaciones12C1','TratamientoDeSenales12');
CREATE TABLE configuracion(
	version TEXT PRIMARY KEY,
	workdir TEXT
);
INSERT INTO "configuracion" VALUES('1.0','/home/migvill/liveUva');
COMMIT;
